Subject: Re: [rtcweb] [tsvwg] draft-ietf-tsvwg-rtcweb-qos-04: How many DSCPs?

From: "Black, David" <[email-masked]>
Date: Sat, 18 Jul 2015 08:38:41 +0000

Harald,
[+rtcweb list]

> This may or may not help, but should be considered in the discussion on
> Wednesday.

That should help, although I wonder about larger API concerns - my initial
take is that the first JavaScript application API call that sends data
traffic is likely to set the DSCP for the data channel for all data traffic
for the RTCWEB session (or that DSCP will be a browser implementation
constant, in which case, only DF appears to be defensible in full generality,
IMHO), especially as:

> RTCWEB considered the option of supporting multiple SCTP channels, then
> decided not to pursue that option - it just got a bit too messy.

In contrast, the DSCP for audio/video traffic can vary within an RTCWEB session.

Meanwhile, on multiple SCTP channels, I've heard *exactly* the opposite from
Cullen.  I've already "volunteered" to show up in RTCWEB's second session on
Friday to talk about the QoS draft (Paul, Cullen and I have talked - we think
we know what has to be done, and hope to have draft text by Thu [and TSVWG
currently has the rtcweb-qos draft on our Thu agenda, not Wed]).

Could you and/or Cullen make sure that Diffserv/DSCP QoS in general and
this multiple SCTP channel concern get onto RTCWEB's Friday agenda when
that agenda gets bashed, please, as I really should be in TAPS during
RTCWEB's Thu session?

Thanks,
--David

> -----Original Message-----
> From: Harald Alvestrand [mailto:[email-masked]]
> Sent: Thursday, July 16, 2015 9:34 AM
> To: Black, David; [email-masked]
> Subject: Re: [tsvwg] draft-ietf-tsvwg-rtcweb-qos-04: How many DSCPs?
> 
> Den 07. juli 2015 20:10, skrev Black, David:
> > - For data, the WebRTC QoS draft uses four different sets of DSCPs
> > 	across which there are no constraints on reordering:
> >
> >    |            Data           |  CS1  |  DF  | AF1x (10,  | AF2x (18, |
> >    |                           |  (8)  | (0)  |  12, 14)   |  20, 22)  |
> >
> > 	This is asking for trouble if all the data involved flows over a
> > 	single SCTP association ... which appears to be exactly what WebRTC
> > 	is going to do:
> >
> > 	https://tools.ietf.org/html/draft-ietf-rtcweb-data-channel-13#section-6
> >
> > 	Something is definitely wrong here, as the DART draft clearly advises
> > 	against more than one DSCP per SCTP association (from Section 6):
> 
> David,
> 
> draft-ietf-rtcweb-transport put in this language after discussing
> reordering:
> 
> 
>    Implementations SHOULD attempt to set QoS on the packets sent,
>    according to the guidelines in [I-D.ietf-tsvwg-rtcweb-qos].
> 
> .....
> 
>    All packets carrying data from the SCTP association supporting the
>    data channels MUST use a single DSCP code point.
> 
>    All packets on one TCP connection, no matter what it carries, MUST
>    use a single DSCP code point.
> 
> 
> What codepoint to pick is a good question (the one reflecting the
> highest priority channel currently being sent is an obvious, but perhaps
> not optimal choice).
> 
> RTCWEB considered the option of supporting multiple SCTP channels, then
> decided not to pursue that option - it just got a bit too messy.
> 
> This may or may not help, but should be considered in the discussion on
> Wednesday.
> 
> Harald

---

From: Harald Alvestrand <[email-masked]>
Date: Sat, 18 Jul 2015 11:48:50 +0200

On 07/18/2015 10:38 AM, Black, David wrote:
> IMHO),

If we can agree on and document what browsers *should* do, it is likely
that this is what they'll end up doing. The implementors are in the
room, after all.

>  especially as:

Yep. Both because tsvw-rtcweb-qos specifies multiple DSCP code points
per priority level, and because the API as currently designed permits
changing the priority of a media track.

> currently has the rtcweb-qos draft on our Thu agenda, not Wed]).

Thanks for the fix! (was wrong in my notes)
> that agenda gets bashed, please, as I really should be in TAPS during

Cullen's one of the chairs, I'm just a WG member; I'll try to help get
it there.

-- 
Surveillance is pervasive. Go Dark.